[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Broken gcc-4.0.2 ?



Kim Lux wrote:

> Description of problem:
> /usr/lib/gcc/i386-redhat-linux/4.0.2/include/stddef.h:214: error: syntax
> error before ‘typedef’
> 
> Version-Release number of selected component (if applicable):
> Just updated gcc. rpm -q gcc gcc-4.0.2-8.fc4
> 
> How reproducible:   Every time.
> 
> Steps to Reproduce:
> 1. Worked on same code all day yesterday with no problem.
> 2. gcc-4.0.2 was installed yesterday.
> 3. This morning, first project build I get the error above.
> 
> What gives ?
> 

Try building with -save-temps, then look at preprocessed output (.i or .ii)
and see.  I'm guessing you'll find a macro expansion caused this.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]